<template>
  <app-frame :data="frameParams">
    <article-list v-bind="listOptions"></article-list>
  </app-frame>
</template>
<script>
import appFrame from '@/components/appFrame'
import ArticleList from '@/components/ArticleList'
import { getArticleList } from '@/api'
export default {
  layout: 'normal',
  components: { appFrame, ArticleList },
  data() {
    return {
      frameParams: {
        banner: 'https://webapp-pub.oss-cn-beijing.aliyuncs.com/project/marywood/alumni_banner.jpg',
        slider: [
          {
            name: this.$t('menu.alumniChild.outstanding'),
            path: '/alumni/outstanding',
          },
          {
            name: this.$t('menu.alumniChild.share'),
            path: '/alumni/sharing',
          }
        ]
      }
    }
  },
  computed: {
    listOptions() {
      return {
        remote: {
          httpRequest: getArticleList,
          params: { project_id: process.env.newProjectId, type_tag: 'kelley_alumni_share' }
        },
        to(item) {
          return `/alumni/sharing/${item.id}`
        }
      }
    }
  }
}
</script>
